PostgreSQL 7.1.3 Documentation
Prev |  | Next

# COMMIT

## Name

COMMIT -- Commits the current transaction

## Synopsis

    COMMIT [ WORK | TRANSACTION ]

### Inputs

WORK, TRANSACTION

  Optional keywords. They have no effect.

### Outputs

`COMMIT`

  Message returned if the transaction is successfully committed.

`NOTICE: COMMIT: no transaction in progress`

  If there is no transaction in progress.

## Description

COMMIT commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

### Notes

The keywords WORK and TRANSACTION are noise and can be omitted.

Use ROLLBACK to abort a transaction.

## Usage

To make all changes permanent:

    COMMIT WORK;

## Compatibility

### SQL92

SQL92 only specifies the two forms `COMMIT` and `COMMIT WORK`. Otherwise full compatibility.

Prev | Home | Next
COMMENT | Up | COPY